@echo off
if %1.==. goto NOTOK
goto NEXTCHEK
:NOTOK
echo.
echo HiJaak PRO 2.0 Alternate Install
echo.
echo SYNTAX:  ALTINST [temporary directory]
echo.
echo ALTINST will copy all the software's files to a temporary directory.
echo.
echo When typing the pathnames, do NOT add a trailing backslash.
echo.
echo EXAMPLE:  ALTINST C:\HJTEMP
echo.
goto END
:NEXTCHEK
if not exist altinst.bat goto WRONGDIR
goto OK
:WRONGDIR
echo.
echo YOU MUST CHANGE DIRECTORY TO THE DRIVE WHICH CONTAINS THE HIJAAK PRO
echo INSTALLATION DISKS BEFORE YOU CAN RUN ALTINST.
echo.
goto END
:OK
echo.
echo About to copy HiJaak PRO files to %1.  To abort, press CTRL-BREAK.  To
echo continue,
pause
md %1
copy alternat.inf %1\hjpro.inf
copy altinst.bat  %1
copy b4ustart.wri %1
copy cad.tp_      %1
copy codep437.bat %1
copy codep850.bat %1
copy courie10.tp_ %1
copy courie11.tp_ %1
copy courie12.tp_ %1
copy courie13.tp_ %1
copy courie14.tp_ %1
copy courie15.tp_ %1
copy courier0.tp_ %1
copy courier1.tp_ %1
copy courier2.tp_ %1
copy courier3.tp_ %1
copy courier4.tp_ %1
copy courier5.tp_ %1
copy courier6.tp_ %1
copy courier7.tp_ %1
copy courier8.tp_ %1
copy courier9.tp_ %1
copy default.tp_  %1
copy dir.fl_      %1
copy dxf.pr_      %1
copy gca.pr_      %1
copy hjbrowse.ex_ %1
copy hjbrowse.hl_ %1
copy hjpro.hl_    %1
copy hjpro.in_    %1
copy hjpro.or_    %1
copy hjsetup.lst  %1
copy hjwhook.dl_  %1
copy iaipre.ps_   %1
copy idletime.dl_ %1
copy install.exe  %1
copy install.lst  %1
copy lnprint0.tp_ %1
copy lnprint1.tp_ %1
copy lnprint2.tp_ %1
copy lnprint3.tp_ %1
copy lnprint4.tp_ %1
copy lnprint5.tp_ %1
copy lnprint6.tp_ %1
copy lnprint7.tp_ %1
copy mscomstf.dll %1
copy mscuistf.dll %1
copy msdetstf.dll %1
copy msinsstf.dll %1
copy msshlstf.dll %1
copy msuilstf.dll %1
copy oldeng.tp_   %1
copy plotter.tp_  %1
copy readme.txt   %1
copy resetpcl.ba_ %1
copy simplex.tp_  %1
copy softfnt.hd_  %1
copy softfnt.or_  %1
copy tblshoot.hlp %1
copy triplex.tp_  %1
copy ver.dll      %1
copy win31.tx_    %1
copy _isi_stf.exe %1
:DISK2
echo.
echo Please replace HiJaak PRO disk 1 with disk 2.
pause
if not exist 1024i.cf_  goto DISK2
copy 1024i.cf_    %1
copy ahead.cf_    %1
copy altcap.ex_   %1
copy autovga.cf_  %1
copy avga.cf_     %1
copy avgafp.cf_   %1
copy cga.cf_      %1
copy cga.sc_      %1
copy diamond.cf_  %1
copy doscap.ba_   %1
copy doscap.co_   %1
copy doscap.ic_   %1
copy doscap.pi_   %1
copy ega.cf_      %1
copy ega.sc_      %1
copy em16-clr.cf_ %1
copy em16-mf.cf_  %1
copy ergovga.cf_  %1
copy freecap.co_  %1
copy herc.sc_     %1
copy hercfull.cf_ %1
copy herchalf.cf_ %1
copy hjimp1.fl_   %1
copy hjimp2.fl_   %1
copy hjimport.wc_ %1
copy hjpro.ex_    %1
copy hpimport.wc_ %1
copy leadtech.dl_ %1
copy mcga.cf_     %1
copy mda.cf_      %1
copy mda.sc_      %1
copy micron-c.cf_ %1
copy micron-m.cf_ %1
copy pcdlib.dl_   %1
copy prodes2.cf_  %1
copy prodes2s.cf_ %1
copy pvga.cf_     %1
copy pwrgraph.cf_ %1
copy qvision.cf_  %1
copy rpmwin.ex_   %1
copy rpmwin.re_   %1
copy speedstr.cf_ %1
copy spstr24x.cf_ %1
copy spstrpro.cf_ %1
copy stealth.cf_  %1
copy supervga.cf_ %1
copy svga.sc_     %1
copy svgax3.cf_   %1
copy twain.dl_    %1
copy vega.cf_     %1
copy vga-sync.cf_ %1
copy vga.cf_      %1
copy vga.sc_      %1
copy vgabasic.cf_ %1
copy vgaplus.cf_  %1
copy vgaprof.cf_  %1
copy vgawondr.cf_ %1
copy vgc.cf_      %1
copy vram.cf_     %1
copy vram2.cf_    %1
copy wondrpls.cf_ %1
copy xlvga.cf_    %1
copy xlvga132.cf_ %1
:DISK3
echo.
echo Please replace HiJaak PRO disk 2 with disk 3.
pause
if not exist appnote.wr_ goto DISK3
copy appnote.wr_  %1
copy cvt.re_      %1
copy diskchk.exe  %1
copy diskfile.chk %1
copy goldn256.if_ %1
copy hjpro.lg_    %1
copy hjpro.sy_    %1
copy ibmpc.85_    %1
copy ibmpc.tp_    %1
copy ibmpcbld.85_ %1
copy ibmpcbld.tp_ %1
copy ibmpccrs.85_ %1
copy ibmpccrs.tp_ %1
copy ibmpcdos.tt_ %1
copy ibmpcmed.85_ %1
copy ibmpcmed.tp_ %1
copy isijet.wm_   %1
copy network.wr_  %1
copy release.wr_  %1
copy _isi_stf.sy_ %1
echo.
echo Copying finished.  To complete the installation you now need to run 
echo Windows, then run HiJaak PRO's install program.  To do this from the 
echo Program Manager, select the File menu, then Run, then type the 
echo following:
echo.
echo %1\INSTALL.EXE
echo.
echo If you aren't using Program Manager as your Windows shell program, 
echo consult your shell's documentation to find directions on running a 
echo Windows program.
echo.
:END
echo More information is available in the file B4USTART.WRI.
echo.

